using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Domain
{
	public class HostUpdate
	{
		/// <summary>
		/// ID
		/// </summary>
		public virtual int ID
		{
			get;
			set;
		}
        /// <summary>
        /// HotelID
        /// </summary>
        public virtual int HotelID
        {
            get;
            set;
        }
		/// <summary>
		/// 文件类型：0/主机固件文件，1/配置数据文件
		/// </summary>
		public virtual FileType FileType
		{
			get;
			set;
		}
		/// <summary>
		/// 升级包名称
		/// </summary>
		public virtual string FileName
		{
			get;
			set;
		}
		/// <summary>
		/// 路径
		/// </summary>
		public virtual string Href
		{
			get;
			set;
		}
		/// <summary>
		/// Md5值
		/// </summary>
		public virtual string Md5
		{
			get;
			set;
		}
		/// <summary>
		/// 文件大小
		/// </summary>
		public virtual long Size
		{
			get;
			set;
		}
		/// <summary>
		/// 上传日期
		/// </summary>
		public virtual DateTime UploadTime
		{
			get;
			set;
		}
		/// <summary>
		/// 上传人
		/// </summary>
		public virtual string Account
		{
			get;
			set;
		}
	}

	public enum FileType
	{
		/// <summary>
		/// 主机固件文件
		/// </summary>
		Firmware = 0,
		
		/// <summary>
		/// 主机配置数据文件
		/// </summary>
		Config = 1,
        
		/// <summary>
		/// 主机有效期文件
		/// </summary>
        RCUValidate = 3
	}
}
